# ioc-collection

A collection of .ioc-files for working with different STM32 μCs and TACOS. The .ioc-files are already correctly configured for TACOS-based projects. 

## Using An .ioc

You can create a project from an existing .ioc-file (e.g. one of the .ioc's provided in this repository) by pressing `file > new > STM32 Project from an Existing STM32CubeMX Configuration File` and choosing the desired file under `STM32CubeMX .ioc file > Browse`.

## Creating An .ioc

If your microcontroller is not supported yet, you can create a .ioc-file by creating a new project with the desired microcontroller and selecting the following settings in the project's .ioc: 

Project Manager > Project

![Step 1](media/6Cggrafik.png) 

Project Manager > Code Generator

![Step 2](media/StCgrafik.png) 

Pinout & Configuration > Middleware and Software Packs

![Step 3](media/bV1grafik.png) 

Pinout & Configuration > Middleware and Software Packs > FREERTOS > Config Parameters

![Step 4](media/vXUgrafik.png) 

![Step 5](media/z9wgrafik.png)

Pinout & Configuration > Middleware and Software Packs > FREERTOS > Advanced Settings

![Step 5](media/RMqgrafik.png)

###